curl --request GET \
--url https://api.nox.energy/v1/devices \
--header 'x-api-key: <api-key>'import requests
url = "https://api.nox.energy/v1/devices"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.nox.energy/v1/devices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.nox.energy/v1/devices",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.nox.energy/v1/devices"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.nox.energy/v1/devices")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.nox.energy/v1/devices")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"model": "model_g",
"model_type": "atw",
"brand": "nibe",
"country": "BE",
"device_id": "01a5c222-5b76-4531-b587-5deeb81a3db3",
"device_name": "Kelder",
"user_id": "user_4",
"device_type": "heat_pump",
"has_delayed_power_data_1d": true,
"legionella_config": {
"frequency_per_weeks": 1,
"capacity": 20,
"duration_minutes": 60
},
"cycle_config": {
"max_cycles_per_day": 8,
"room_min_cycle_time": 15,
"dhw_min_cycle_time": 30,
"dhw_max_cycle_time": 120
},
"steerable_status": {
"steering_enabled": true,
"steerable": true,
"learning_period_ended": true,
"general_reason": "Heat pump connected recently, still collecting data to improve models.",
"DHW": {
"can_activate_action": true,
"in_active_action": false,
"reason": "Device is ready to receive an action."
},
"room": {
"can_activate_action": true,
"in_active_action": false,
"reason": "Device is ready to receive an action."
},
"has_cooling": true,
"being_steered": true,
"being_steered_start_date": "2025-09-30",
"steering_method": {
"description": "For space heating, NOX changes the heating mode, target room temperature and water temperature in the heating circuit. For hot water, NOX changes the hot water mode.",
"space_heating": {
"schedule_paused": false,
"settings": {
"operation_mode": {
"use": "every_action",
"reasons": []
},
"room_setpoint": {
"use": "every_action",
"reasons": []
},
"flow_temperature_setpoint": {
"use": "every_action",
"reasons": []
}
}
},
"domestic_hot_water": {
"schedule_paused": false,
"settings": {
"operation_mode": {
"use": "every_action",
"reasons": []
}
}
}
}
},
"needs_reauthentication": false,
"has_room_schedule": false,
"first_connection_at": "2025-09-30T12:00:00+00:00",
"capacity_kw": 6,
"is_hybrid": false,
"last_updated_at": "2025-10-01T08:30:00+00:00"
},
{
"model": "model_b",
"model_type": "atw",
"brand": "nibe",
"device_id": "01bbbaab-159a-4898-bcba-d81acdb2353c",
"device_name": "Warmtepomp 1",
"user_id": "user_5",
"device_type": "heat_pump",
"has_delayed_power_data_1d": false,
"legionella_config": {
"frequency_per_weeks": 2,
"capacity": 20,
"duration_minutes": 60
},
"cycle_config": {
"max_cycles_per_day": 6,
"room_min_cycle_time": 15,
"dhw_min_cycle_time": 30,
"dhw_max_cycle_time": 60
},
"steerable_status": {
"steering_enabled": true,
"steerable": true,
"learning_period_ended": true,
"general_reason": "Heat pump connected recently, still collecting data to improve models.",
"DHW": {
"can_activate_action": true,
"in_active_action": false,
"reason": "Device is ready to receive an action."
},
"room": {
"can_activate_action": true,
"in_active_action": false,
"reason": "Device is ready to receive an action."
},
"has_cooling": false,
"being_steered": false,
"steering_method": {
"description": "For space heating, NOX changes the heating mode, target room temperature and water temperature in the heating circuit. For hot water, NOX changes the hot water mode.",
"space_heating": {
"schedule_paused": false,
"settings": {
"operation_mode": {
"use": "every_action",
"reasons": []
},
"room_setpoint": {
"use": "every_action",
"reasons": []
},
"flow_temperature_setpoint": {
"use": "every_action",
"reasons": []
}
}
},
"domestic_hot_water": {
"schedule_paused": false,
"settings": {
"operation_mode": {
"use": "every_action",
"reasons": []
}
}
}
}
},
"needs_reauthentication": false,
"has_room_schedule": false,
"first_connection_at": "2025-09-30T12:00:00+00:00",
"capacity_kw": 8,
"is_hybrid": true,
"last_updated_at": "2025-10-01T08:30:00+00:00"
}
],
"meta": {
"energy_supplier": "Energy Supplier A",
"capacity_unit": "kWh",
"next_token": "eyJkZXZpY2VfaWQiOiAiMDFiYmJhYWItMTU5YS00ODk4LWJjYmEtZDgxYWNkYjIzNTNjIiwgImVuZXJneV9zdXBwbGllciI6ICJFbmVyZ3kgU3VwcGxpZXIgQSJ9",
"cycle_time_units": "minutes",
"being_steered_start_date_unit": "UTC"
}
}{
"detail": "Invalid pagination token"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Get Devices
Get information about all NOX connected devices associated with your energy supplier account.
If you want to know the response structure or possible enum values, like steerable reasons,
you can check it in the response model schema.
How NOX steers a heat pump: steering_method
steerable_status.steering_method tells you what NOX changes on the heat pump when it steers it.
Use it to explain to your users what they will see on their heat pump or in its app, for example
why their target room temperature changes during the day, or why their hot water schedule is paused.
Every value is a code, not text, so you write what your users see, in their own language. New codes may be added in any release; the meaning of an existing code never changes. Show a code you don’t know generically, for example as “NOX may change this setting”.
It is structured per steered function, then per setting:
steering_method
├── space_heating / space_cooling / domestic_hot_water ← steered functions
│ ├── schedule_paused ← true / false
│ └── settings
│ └── <setting> ← e.g. room_setpoint
│ ├── use ← how often NOX changes it
│ └── reasons ← why NOX changes it
For what every function, setting, use and reason code means, and how to turn the codes into a text for your users, see Showing how NOX steers a device in the Heat Pump API Guide.
curl --request GET \
--url https://api.nox.energy/v1/devices \
--header 'x-api-key: <api-key>'import requests
url = "https://api.nox.energy/v1/devices"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.nox.energy/v1/devices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.nox.energy/v1/devices",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.nox.energy/v1/devices"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.nox.energy/v1/devices")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.nox.energy/v1/devices")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"model": "model_g",
"model_type": "atw",
"brand": "nibe",
"country": "BE",
"device_id": "01a5c222-5b76-4531-b587-5deeb81a3db3",
"device_name": "Kelder",
"user_id": "user_4",
"device_type": "heat_pump",
"has_delayed_power_data_1d": true,
"legionella_config": {
"frequency_per_weeks": 1,
"capacity": 20,
"duration_minutes": 60
},
"cycle_config": {
"max_cycles_per_day": 8,
"room_min_cycle_time": 15,
"dhw_min_cycle_time": 30,
"dhw_max_cycle_time": 120
},
"steerable_status": {
"steering_enabled": true,
"steerable": true,
"learning_period_ended": true,
"general_reason": "Heat pump connected recently, still collecting data to improve models.",
"DHW": {
"can_activate_action": true,
"in_active_action": false,
"reason": "Device is ready to receive an action."
},
"room": {
"can_activate_action": true,
"in_active_action": false,
"reason": "Device is ready to receive an action."
},
"has_cooling": true,
"being_steered": true,
"being_steered_start_date": "2025-09-30",
"steering_method": {
"description": "For space heating, NOX changes the heating mode, target room temperature and water temperature in the heating circuit. For hot water, NOX changes the hot water mode.",
"space_heating": {
"schedule_paused": false,
"settings": {
"operation_mode": {
"use": "every_action",
"reasons": []
},
"room_setpoint": {
"use": "every_action",
"reasons": []
},
"flow_temperature_setpoint": {
"use": "every_action",
"reasons": []
}
}
},
"domestic_hot_water": {
"schedule_paused": false,
"settings": {
"operation_mode": {
"use": "every_action",
"reasons": []
}
}
}
}
},
"needs_reauthentication": false,
"has_room_schedule": false,
"first_connection_at": "2025-09-30T12:00:00+00:00",
"capacity_kw": 6,
"is_hybrid": false,
"last_updated_at": "2025-10-01T08:30:00+00:00"
},
{
"model": "model_b",
"model_type": "atw",
"brand": "nibe",
"device_id": "01bbbaab-159a-4898-bcba-d81acdb2353c",
"device_name": "Warmtepomp 1",
"user_id": "user_5",
"device_type": "heat_pump",
"has_delayed_power_data_1d": false,
"legionella_config": {
"frequency_per_weeks": 2,
"capacity": 20,
"duration_minutes": 60
},
"cycle_config": {
"max_cycles_per_day": 6,
"room_min_cycle_time": 15,
"dhw_min_cycle_time": 30,
"dhw_max_cycle_time": 60
},
"steerable_status": {
"steering_enabled": true,
"steerable": true,
"learning_period_ended": true,
"general_reason": "Heat pump connected recently, still collecting data to improve models.",
"DHW": {
"can_activate_action": true,
"in_active_action": false,
"reason": "Device is ready to receive an action."
},
"room": {
"can_activate_action": true,
"in_active_action": false,
"reason": "Device is ready to receive an action."
},
"has_cooling": false,
"being_steered": false,
"steering_method": {
"description": "For space heating, NOX changes the heating mode, target room temperature and water temperature in the heating circuit. For hot water, NOX changes the hot water mode.",
"space_heating": {
"schedule_paused": false,
"settings": {
"operation_mode": {
"use": "every_action",
"reasons": []
},
"room_setpoint": {
"use": "every_action",
"reasons": []
},
"flow_temperature_setpoint": {
"use": "every_action",
"reasons": []
}
}
},
"domestic_hot_water": {
"schedule_paused": false,
"settings": {
"operation_mode": {
"use": "every_action",
"reasons": []
}
}
}
}
},
"needs_reauthentication": false,
"has_room_schedule": false,
"first_connection_at": "2025-09-30T12:00:00+00:00",
"capacity_kw": 8,
"is_hybrid": true,
"last_updated_at": "2025-10-01T08:30:00+00:00"
}
],
"meta": {
"energy_supplier": "Energy Supplier A",
"capacity_unit": "kWh",
"next_token": "eyJkZXZpY2VfaWQiOiAiMDFiYmJhYWItMTU5YS00ODk4LWJjYmEtZDgxYWNkYjIzNTNjIiwgImVuZXJneV9zdXBwbGllciI6ICJFbmVyZ3kgU3VwcGxpZXIgQSJ9",
"cycle_time_units": "minutes",
"being_steered_start_date_unit": "UTC"
}
}{
"detail": "Invalid pagination token"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Query Parameters
The maximum number of items to return per page of results.
This should be used together with the next_token parameter, or the offset parameter where the
endpoint offers it, to paginate through results.
Read the pagination parameter documentation for more details.
1 <= x <= 4000The next_token is a token used to retrieve the next page of results when there are more results
than can fit in a single page(=API response).
By default, the API will return a next_token of the first page if no token was given as a parameter.
If the token is null you have reached the end of the results.
This should be used together with the limit parameter to paginate through results.
To get all results of your call, you can keep calling the same API call with the previously returned next_token until it returns null.
Pass the next_token back unchanged. A token that was altered or not issued by the API returns 400.
If True, filter devices that have delayed power data by 1 day for the previous day. This means that the power data of the previous day is only updated between 2-4 AM UTC on a daily basis for the full previous day.
If False, filter devices that do not have delayed power data by 1 day for the previous day but instead provide real-time power data.
If None, do not filter based on whether devices have delayed power data by 1 day for the previous day.